DefaultServlet.CompressionFormat (Apache Tomcat 11.0.8 API Documentation)
Description: declaration: package: org.apache.catalina.servlets, class: DefaultServlet, record: CompressionFormat

# Record Class DefaultServlet.CompressionFormat

java.lang.Object
java.lang.Record
org.apache.catalina.servlets.DefaultServlet.CompressionFormat

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DefaultServlet`

protected static record DefaultServlet.CompressionFormat(String extension, String encoding) extends Record implements Serializable

Author:
  Craig R. McClanahan, Remy Maucherat
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CompressionFormat(String extension, String encoding)`
  Creates an instance of a `CompressionFormat` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encoding()`
  Returns the value of the `encoding` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `extension()`
  Returns the value of the `extension` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompressionFormat

    protected CompressionFormat(String extension, String encoding)
    Creates an instance of a `CompressionFormat` record class.
    Parameters:
      `extension` - the value for the `extension` record component
      `encoding` - the value for the `encoding` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### extension

    public String extension()
    Returns the value of the `extension` record component.
    Returns:
      the value of the `extension` record component

  - ### encoding

    public String encoding()
    Returns the value of the `encoding` record component.
    Returns:
      the value of the `encoding` record component